DocMkrTextInternal::State Struct Reference

Internal: the state of a DocMkrText. More...

## Public Member Functions

| State ()
| constructor
Zone & | getZone (int id)
| returns the zone corresponding to an id

## Public Attributes

int | m_version
| the file version
int | m_numPages
int | m_actualPage
double | m_pageWidth
| the page width ( not really define so default value 8.5)
std::map< int, Zone > | m_idZoneMap
| the map of id -> text zone
Footer | m_footer
| the footer
TOC | m_toc
| the table of content

## Detailed Description

Internal: the state of a DocMkrText.

## Constructor & Destructor Documentation

## State()

DocMkrTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getZone()

Zone & DocMkrTextInternal::State::getZone | ( | int | id | ) |

inline

returns the zone corresponding to an id

## Member Data Documentation

## m_actualPage

int DocMkrTextInternal::State::m_actualPage

Referenced by State().

## m_footer

Footer DocMkrTextInternal::State::m_footer

the footer

Referenced by State().

## m_idZoneMap

std::map<int, Zone > DocMkrTextInternal::State::m_idZoneMap

the map of id -> text zone

Referenced by getZone(), and State().

## m_numPages

int DocMkrTextInternal::State::m_numPages

Referenced by State().

## m_pageWidth

double DocMkrTextInternal::State::m_pageWidth

the page width ( not really define so default value 8.5)

Referenced by State().

## m_toc

TOC DocMkrTextInternal::State::m_toc

the table of content

Referenced by State().

## m_version

int DocMkrTextInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- DocMkrText.cxx